EDIT - feature request #10245
bug # 7879 (New): Book CacheStrategy does not show 'place published', 'publisher’, 'editor'

#9626 Implement publisher information for bibliographic reference formatting
02/07/2023 01:10 PM - Belen Escobari

Status: Closed Start date:

Priority: New Due date:

Assignee: Andreas Mller % Done: 100%
Category: cdmlib Estimated time: 0:00 hour
Target version: Release 5.36

Severity: normal

Description

Kilian N. & Raab-Straube E. von 2008: Neue Funde irgendwo in der Alten Welt. P. 3 in: Lack H. W. & Greuter W. (ed.), Flora der
Neuen Welt. — Berlin: Springer; Hamburg: Mdiller.

Related issues:

Related to EDIT - bug #2121: Series part is not reflected in cache strategy Closed
Related to EDIT - feature request #10291: Implement second publisher informat... Closed
Copied to EDIT - feature request #10286: Add publisher2 and placePublished? t... Closed

Associated revisions

Revision 3b420db5 - 02/07/2023 01:49 PM - Belen
ref: #10245 dev Test

Revision 6f1fddd0 - 02/07/2023 03:30 PM - Andreas Miiller
ref #10245 revert dc5d76b60e13dc1 and 3b420db52da4be3e

Revision a459f419 - 02/08/2023 12:57 PM - Belen Escobari
ref #10245 (#9626) add publisher and place published to ReferenceDefaultCacheStrategy

Revision a3510252 - 02/08/2023 01:52 PM - Belen Escobari
ref #10245 (#9626). Combined publisher tests.

Revision 03feeb43 - 03/14/2023 10:17 AM - Belen Escobari
ref #10245 (#9626) add publisher and place published to ReferenceDefaultCacheStrategy in Book Sections

Revision 45a64e2d - 03/14/2023 10:18 AM - Belen Escobari

ref #10245: added publisher information in reference

Revision 3bbc8d2a - 03/17/2023 11:27 AM - Belen Escobari

ref #10245: add publisher information for book section

Revision 2834e6a1 - 03/20/2023 02:39 PM - Andreas Miiller
ref #10245 add publisher handling and/or testing for generic, thesis, report, map, database cdDvd

Revision 6baebe22 - 03/20/2023 02:53 PM - Andreas Miiller
ref #10245 fix publisher handling for report and proceedings

Revision 8ee0f95c¢ - 03/24/2023 02:30 PM - Belen Escobari

ref #10245: formatting when publisher or place published is missing

History

#1 - 02/07/2023 01:11 PM - Belen Escobari
- Parent task set to #7879
#2 - 02/07/2023 01:13 PM - Belen Escobari

The classes to be used are ReferenceDefaultCacheStrategy and ReferenceDefaultCacheStrategy Test

#3 - 02/07/2023 01:15 PM - Belen Escobari

Im Ticket 1924 (bug #1924: CIHORIEAE in-references in Footnotes - EDIT - EDIT Project Management (e-taxonomy.eu)) kénntet ihr euch eine alte
Diskussion darliber anschauen vor allem im Dokument Zitierweise02.doc von Andreas Kohlbecker (Kommentar #18) wo es ein Beispiel mit dem
sogenannten Fall gibt:

JKilian N. & Raab-Straube E. von 2008: Neue Funde irgendwo in der Alten Welt. P. 3 in: Lack H. W. & Greuter W. (ed.), Flora der Neuen Welt. —
Berlin: Springer; Hamburg: Muller”

Da ich nie gesehen habe, dass ein Buch (selbe Volume, selbe Serie) in zwei Orte gedruckt wird, wollte ich euch nach echten Zitaten fragen. Wie oft
kommt das vor und was sind eure Vorschlage wie das aussehen sollte?

BE

#4 - 02/07/2023 01:16 PM - Belen Escobari

das Beispiel ist doch genau wie es aussehen sollte?

Auf den Portalen werden aber der Verlag und der Ort gar nicht mit ausgegeben, wir hatten das auch mal andiskutiert, aber es gab keine Mehrheit
dafir, Verlag und Ort automatisch auszugeben.

Es gibt aber neben der Taxon-Seiten, wo die Literatur automatisch ausgegeben wird, die Bibliographie-Seiten, die manuell kuratiert werden, so wie
hier https://caryophyllales.org/cactaceae/bibliography. Die Zitierweise folgt dem Willdenowia-Format.

Es ist aber doch auch so, dass in der Plattform nur ein Ort und ein Verlag pro Referenz Gberhaupt eingegeben werden kénnen, wenn es zwei
Erscheinungsorte gibt, misste das manuell in eines der Felder eigegeben werden, oder?

NaK

#5 - 02/07/2023 01:16 PM - Belen Escobari

der Fall, dass ein Buch gemeinsam von zwei verschiedene Verlagen an zwei verschiedenen Orte herausgegeben wird, ist schon eine eher selten
Ausnahme. Aber genau so, wie Du es zitiert hast, wiirde ich diesen Fall dann auch darstellen.

Hier ein echtes Beispiel (da gleichzeitig Teil einer Serie, kdnnte man sich die Publiaktionsorte theoretisch sparen, will es aber vielleicht nicht):
Kilian N. & Hubaishan A. H. (ed.) 2006: Biodiversity of Socotra. Forest, woodlands and bryophytes. [= Englera 28]. — Berlin: Botanic Garden and
Botanical Museum; Dhamar: Agricultural Research and Extension Authority.

Nadja hat recht, der Fall kann so gar nicht in den Editor eingegeben werden.

Ich kann mich aber nicht erinnern, dass die Nichtdarstellung von Publikationsort und Verlag im Portal auf eine (Mehrheits)entscheidung zurtickgeht.
Das war einfach noch nie implementiert und es gibt sicher wichtigeres zu tun. Gut fande ich es dennoch diese Angaben im Portal lesen zu kénnen.

NoK

#6 - 02/07/2023 01:17 PM - Belen Escobari

Kurz zum Background: Belens Frage ging auch in die Richtung, ob wir in dem Bereich ein differenzierteres Model brauchen, um auch >1 Publisher
eingeben zu kdnnen. Es stimmt natirlich, dass das bislang nicht méglich ist. Wenn das ein sehr seltener Fall ist, wiirde ich es dabei belassen und
eher Workarounds verwenden, um das trotzdem in Publikationen darstellen zu kénnen. Wenn es doch eine gewisse Haufigkeit gibt sollten wir
Datenmodell und Editor Ul anpassen, damit das eingebbar ist.

Das ist der eine Teil der Anfrage, ndmlich ob wir ein erweitertes Datenmodell brauchen (kdnnen).

Vor allem wére bei der Anfrage auch aber auch zu klaren, wie das Format genau aussehen soll. Dem Beispiel entnehme ich, dass vorher ein Punkt,
Leerzeichen, En-Dash(?), Leerzeichen kommen soll, dann :(; : )* ? Kann es sein, dass danach noch weiterer Text kommt oder steht die Publish
Information immer am Ende, auch hinter der Seitenzahl? Wenn nicht, welcher Separator, Beispiel? Kommt es nur bei Blichern oder auch bei Artikeln
und anderen vor? Wenn letzteres, gibt es Unterschiede bei der Formatierung.

Weitere Beispiele mit méglichst unterschiedlichen Fallen wéren hilfreich.

Zur Notwendigkeit: der Tasks hat auch die Funktion, dass sich Belen ins CDM einarbeitet, daher gehen wir das an, auch wenn es nicht Prioritat 1 auf
der Gesamtliste hat. Zudem wird es aber nicht nur fiir Portale sondern auch fir die Printpublikationen verwendet, und da denke ich mal hat es doch
eine héhere Prioritat.

AM

#7 - 02/07/2023 01:17 PM - Belen Escobari

ich halte es fir einen so seltenen Fall (ich wirde aber nicht "sehr selten" sagen), dass mir eine Modellerweiterung nicht nétig erscheint, zumal im
Falle von >1 Verlag ein Titel auch mit Nennung von nur 1 Verlag eindeutig identifizierbar und auffindbar ist, eine solche Verkiirzung also ggf.
unproblematisch ist. Ist aber auch die Frage, wie aufwandig das ist ....

Formatfragen: Definieren wir jetzt doch ein Standardformat? Ich dachte das Ergebnis des diesbezlglichen Workshops war, dass wir die Formatierung
von Literaturangaben Uber ein entsprechendes Tool nutzerdefinierbar machen? Wenn ein Standardformat, dann sollten wir uns der Einfachheit halber
https://dev.e-taxonomy.eu/redmine/issues/1924
https://caryophyllales.org/cactaceae/bibliography

(weitgehend) an das Willdenowia-Format halten. In diesem steht die Publisher-Info bei Print-Publ. am Ende, bei Online-Publ. kommt danach nur noch
der Link. Publisher-Info mit "Ort: Verlag" nur bei Titeln, die keine Zeitschriften oder Serien sind.

NoK

#8 - 02/07/2023 01:17 PM - Belen Escobari

Ich habe Uber die 1 oder >1 Frage nochmal nachgedacht. Eine Kompromisslésung ware 1 oder 2. D.h. es gibt maximal 2 Publisher. Ich denke, dass
sollte dann 99% der Félle abdecken und zumindest in den anderen Fallen auch ausreichend sein.
Gleichzeitig ist es einfacher und performanter zu implementieren.

Die Formatierung soll langfristig vom Projekt definierbar sein. Bis dahin und als Default wiirden wir aber die an Wildenovia angelehnte Formatierung
verwenden.

AM

#9 - 02/07/2023 01:18 PM - Belen Escobari

- Subject changed from Implement publisher information for bibliographic reference formatting to #9626 Implement publisher information for
bibliographic reference formatting

#10 - 02/07/2023 01:20 PM - Belen Escobari
- % Done changed from 0 to 80

#11 - 02/07/2023 02:36 PM - Belen Escobari

Belen Escobari wrote:

Kilian N. & Raab-Straube E. von 2008: Neue Funde irgendwo in der Alten Welt. P. 3 in: Lack H. W. & Greuter W. (ed.), Flora der Neuen Welt. —
Berlin: Springer; Hamburg: Mdller.

The original Ticket of this issue was #9626 which was accidentially deleted.

#12 - 02/28/2023 10:31 AM - Belen Escobari
- Assignee changed from Belen Escobari to Andreas Miller

- % Done changed from 80 to 100

#13 - 03/06/2023 12:45 PM - Belen Escobari

- Status changed from New to Closed

#14 - 03/06/2023 03:37 PM - Andreas Miiller
- Status changed from Closed to Resolved

- % Done changed from 100 to 70

For review, please put status to "Resolved" (not Closed) and %Done to 70%

#15 - 03/06/2023 03:37 PM - Andreas Miiller

- Tags set to formatting

#16 - 03/07/2023 10:32 PM - Andreas Miiller
- Status changed from Resolved to Feedback

- Assignee changed from Andreas Muiller to Belen Escobari

| can't see any new commits for ReferenceDefaultCacheStrategy or it's test class and also not attached to this ticket. So what exactly should be
reviewed or has been done?

#17 - 03/14/2023 10:32 AM - Belen Escobari

the changes have been now commited and pushed

#18 - 03/14/2023 01:26 PM - Belen Escobari
- Status changed from Feedback to Resolved

- Assignee changed from Belen Escobari to Andreas Miller
changes were gefixt/commited/geupdated. Is there something else to do yet for this ticket?

#19 - 03/15/2023 11:20 AM - Andreas Miiller
- Related to bug #2121: Series part is not reflected in cache strategy added

#20 - 03/20/2023 02:42 PM - Andreas Miiller

Implementation is ok for book and booksection. | added tests for generic, cd and thesis and added implementaton for report, database and map (
2834e6a11 and 6baebe2258ce6b).

#21 - 03/20/2023 02:57 PM - Andreas Miiller
- Status changed from Resolved to Feedback

- Assignee changed from Andreas Miiller to Belen Escobari

According to the data model also journals and print series have a publisher. Can you please discuss with Norbert if this is correct? Are there cases
when journals are cited with a publisher (place published). And do print series have a publisher/place published? Of course the single books within a
print series do have a publisher but my question is about the print series itself.

#22 - 03/20/2023 03:00 PM - Andreas Miiller

Please also add a test with only the publisher given (without place published). This case currently seems not to be implemented correctly.

#23 - 03/20/2023 03:54 PM - Andreas Miiller

- Target version changed from Release 5.44 to Release 5.36

#24 - 03/22/2023 03:20 PM - Andreas Miiller

Andreas Muller wrote in #note-22:

Please also add a test with only the publisher given (without place published). This case currently seems not to be implemented correctly.

Are there any questions on how to implement this?

#25 - 03/23/2023 08:48 AM - Andreas Miiller
- Copied to feature request #10286: Add publisher2 and placePublished?2 to Reference added

#26 - 03/24/2023 08:59 AM - Andreas Miiller

A second publisher and placePublished is now available (see #10286). The formatting can be adapted accordingly.

#27 - 03/24/2023 02:34 PM - Belen Escobari

- Related to feature request #10291: Implement second publisher information for bibliographic reference formatting and other remaining issues added

#28 - 03/24/2023 02:35 PM - Belen Escobari
- Status changed from Feedback to Resolved

- Assignee changed from Belen Escobari to Andreas Miiller

Formatting of References when publisher or placed published are missing were adapted.

publisher2 and place published2 copied in the follow up ticket #10291

#29 - 03/25/2023 07:38 AM - Andreas Miiller
- Status changed from Resolved to Closed

- % Done changed from 70 to 100

Remaining issues copied to #10291
